using System;
using System.Windows.Forms;

namespace QiHe.CodeLib
{
    public enum FileType { Txt, Xml, PDF, Bin, Zip, All, Img }
    public class FileSelector
    {
        public static string Title = "ѡļ";
        public static string Filter = "Fichiers Texte (*.txt)|*.txt|Tous les fichiers (*.*)|*.*";
        public static FileType FileExtension
        {
            set
            {
                switch (value)
                {
                    case FileType.Txt:
                        Filter = "Fichiers Texte (*.txt)|*.txt|Tous les fichiers (*.*)|*.*";
                        break;
                    case FileType.Xml:
                        Filter = "Fichiers XML (*.xml)|*.xml|Fichiers de Config (*.config)|*.config|Tous les fichiers (*.*)|*.*";
                        break;
                    case FileType.PDF:
                        Filter = "Fichiers PDF (*.pdf)|*.pdf|Formulaires PDF (*.fdf)|*.fdf|Tous les fichiers (*.*)|*.*";
                        break;
                    case FileType.Bin:
                        Filter = "Fichiers Binaires (*.bin)|*.bin|Application (*.exe;*.dll)|*.exe;*.dll|Tous les fichiers (*.*)|*.*";
                        break;
                    case FileType.Zip:
                        Filter = "Fichiers Zip (*.zip)|*.zip|Tous les fichiers (*.*)|*.*";
                        break;
                    case FileType.Img:
                        Filter = "Gif(*.gif)|*.gif|Jpeg(*.jpg)|*.jpg|Emf(*.emf)|*.emf|Bmp(*.bmp)|*.bmp|Png(*.png)|*.png";
                        break;
                    case FileType.All:
                        Filter = "Tous les fichiers (*.*)|*.*";
                        break;
                }
            }
        }

        /// <summary>
        /// Gets or sets the initial directory displayed by the file dialog box.
        /// </summary>
        public static string InitialPath
        {
            set
            {
                OFD.InitialDirectory = value;
                SFD.InitialDirectory = value;
            }
        }
        public static OpenFileDialog OFD = new OpenFileDialog();
        public static SaveFileDialog SFD = new SaveFileDialog();

        public static string BrowseFile()
        {
            OFD.Title = Title;
            OFD.Filter = Filter;
            if (OFD.ShowDialog() == DialogResult.OK)
            {
                return OFD.FileName;
            }
            else
            {
                return null;
            }
        }
        public static string BrowseFileForSave()
        {
            SFD.Title = Title;
            SFD.Filter = Filter;
            if (SFD.ShowDialog() == DialogResult.OK)
            {
                return SFD.FileName;
            }
            else
            {
                return null;
            }
        }
        public static string BrowseFile(FileType type)
        {
            FileExtension = type;
            return BrowseFile();
        }
        public static string BrowseFile(string filter)
        {
            Filter = filter;
            return BrowseFile();
        }
        public static string BrowseFileForSave(FileType type)
        {
            FileExtension = type;
            return BrowseFileForSave();
        }
    }
}
